gSOAP HTTP Digest Authentication: /Users/engelen/Projects/gsoap/plugin/httpda.c File Reference

Main Page | Class List | File List | Class Members | File Members | Related Pages

# /Users/engelen/Projects/gsoap/plugin/httpda.c File Reference

`#include "httpda.h"`

Include dependency graph for httpda.c:

## Defines
#define | HTTP_DA_NONCELEN 21
#define | HTTP_DA_OPAQUELEN 9
## Functions
int | http_da_init (struct soap *soap, struct http_da_data *data)
int | http_da_copy (struct soap *soap, struct soap_plugin *dst, struct soap_plugin *src)
void | http_da_delete (struct soap *soap, struct soap_plugin *p)
int | http_da_post_header (struct soap *soap, const char *key, const char *val)
int | http_da_parse (struct soap *soap)
int | http_da_parse_header (struct soap *soap, const char *key, const char *val)
int | http_da_prepareinitsend (struct soap *soap)
int | http_da_prepareinitrecv (struct soap *soap)
int | http_da_preparesend (struct soap *soap, const char *buf, size_t len)
int | http_da_preparerecv (struct soap *soap, const char *buf, size_t len)
int | http_da_disconnect (struct soap *soap)
int | http_da_verify_method (struct soap *soap, char *method, char *passwd)
void | http_da_session_start (const char *realm, const char *nonce, const char *opaque)
int | http_da_session_update (const char *realm, const char *nonce, const char *opaque, const char *cnonce, const char *ncount)
void | http_da_session_cleanup ()
void | http_da_calc_nonce (struct soap *soap, char nonce[HTTP_DA_NONCELEN])
void | http_da_calc_opaque (struct soap *soap, char opaque[HTTP_DA_OPAQUELEN])
void | http_da_calc_HA1 (struct soap *soap, void **context, const char *alg, const char *userid, const char *realm, const char *passwd, const char *nonce, const char *cnonce, char HA1hex[33])
void | http_da_calc_response (struct soap *soap, void **context, char HA1hex[33], const char *nonce, const char *ncount, const char *cnonce, const char *qop, const char *method, const char *uri, char entityHAhex[33], char response[33])
int | http_da (struct soap *soap, struct soap_plugin *p, void *arg)
void | http_da_save (struct soap *soap, struct http_da_info *info, const char *realm, const char *userid, const char *passwd)
void | http_da_restore (struct soap *soap, struct http_da_info *info)
void | http_da_release (struct soap *soap, struct http_da_info *info)
int | http_da_verify_post (struct soap *soap, char *passwd)
int | http_da_verify_get (struct soap *soap, char *passwd)
## Variables
const char | http_da_id [] = HTTP_DA_ID
http_da_session * | http_da_session = NULL
MUTEX_TYPE | http_da_session_lock

## Define Documentation

#define HTTP_DA_NONCELEN 21

#define HTTP_DA_OPAQUELEN 9

## Function Documentation

int http_da | ( | struct soap * | soap,
|  | struct soap_plugin * | p,
|  | void * | arg
| ) |

void http_da_calc_HA1 | ( | struct soap * | soap,
|  | void ** | context,
|  | const char * | alg,
|  | const char * | userid,
|  | const char * | realm,
|  | const char * | passwd,
|  | const char * | nonce,
|  | const char * | cnonce,
|  | char | HA1hex[33]
| ) | `[static]`

void http_da_calc_nonce | ( | struct soap * | soap,
|  | char | nonce[HTTP_DA_NONCELEN]
| ) |

void http_da_calc_opaque | ( | struct soap * | soap,
|  | char | opaque[HTTP_DA_OPAQUELEN]
| ) |

void http_da_calc_response | ( | struct soap * | soap,
|  | void ** | context,
|  | char | HA1hex[33],
|  | const char * | nonce,
|  | const char * | ncount,
|  | const char * | cnonce,
|  | const char * | qop,
|  | const char * | method,
|  | const char * | uri,
|  | char | entityHAhex[33],
|  | char | response[33]
| ) | `[static]`

int http_da_copy | ( | struct soap * | soap,
|  | struct soap_plugin * | dst,
|  | struct soap_plugin * | src
| ) | `[static]`

void http_da_delete | ( | struct soap * | soap,
|  | struct soap_plugin * | p
| ) | `[static]`

int http_da_disconnect | ( | struct soap * | soap | ) | `[static]`

int http_da_init | ( | struct soap * | soap,
|  | struct http_da_data * | data
| ) | `[static]`

int http_da_parse | ( | struct soap * | soap | ) | `[static]`

int http_da_parse_header | ( | struct soap * | soap,
|  | const char * | key,
|  | const char * | val
| ) | `[static]`

int http_da_post_header | ( | struct soap * | soap,
|  | const char * | key,
|  | const char * | val
| ) | `[static]`

int http_da_prepareinitrecv | ( | struct soap * | soap | ) | `[static]`

int http_da_prepareinitsend | ( | struct soap * | soap | ) | `[static]`

int http_da_preparerecv | ( | struct soap * | soap,
|  | const char * | buf,
|  | size_t | len
| ) | `[static]`

int http_da_preparesend | ( | struct soap * | soap,
|  | const char * | buf,
|  | size_t | len
| ) | `[static]`

void http_da_release | ( | struct soap * | soap,
|  | struct http_da_info * | info
| ) |

void http_da_restore | ( | struct soap * | soap,
|  | struct http_da_info * | info
| ) |

void http_da_save | ( | struct soap * | soap,
|  | struct http_da_info * | info,
|  | const char * | realm,
|  | const char * | userid,
|  | const char * | passwd
| ) |

void http_da_session_cleanup | ( |  | ) | `[static]`

void http_da_session_start | ( | const char * | realm,
|  | const char * | nonce,
|  | const char * | opaque
| ) | `[static]`

int http_da_session_update | ( | const char * | realm,
|  | const char * | nonce,
|  | const char * | opaque,
|  | const char * | cnonce,
|  | const char * | ncount
| ) | `[static]`

int http_da_verify_get | ( | struct soap * | soap,
|  | char * | passwd
| ) |

int http_da_verify_method | ( | struct soap * | soap,
|  | char * | method,
|  | char * | passwd
| ) | `[static]`

int http_da_verify_post | ( | struct soap * | soap,
|  | char * | passwd
| ) |

## Variable Documentation

const char http_da_id[] = HTTP_DA_ID

| pluging identification for plugin registry

struct http_da_session* http_da_session = NULL`[static]`

| HTTP DA session database

MUTEX_TYPE http_da_session_lock`[static]`

| HTTP DA session database lock